Vulnerability found:

14 June 2007

Severity level:

Medium/High

Credits:

Adrian Pastor of ProCheckUp. ProCheckUp thanks Tincan for fixing this vulnerability so promptly.

Description:

Webbler CMS is vulnerable to XSS within the "/uploader/index.php" server-side script
and 'page' parameter.
No authentication is required to exploit this vulnerability.

Consequences

An attacker may be able to cause execution of malicious scripting code in the browser of a

user who clicks on a link to a site generated/managed by Webbler CMS. HTML tags can also

be injected.
This type of attack can result in non-persistent defacement of the target site, or the redirection

of confidential information to unauthorised third parties.
HTML injection PoC URL
http://target-domain.com/uploader/?page=</title><h1>html%20injection%20test</h1>

Note

The version number is usually included within 'meta' HTML tags and 'X-Powered-By'

HTTP response headers. i.e. -
<meta name="generator" content="webbler 3.1.3 - http://tincan.co.uk/webbler" />
X-Powered-By: webbler version 3.1.3

Successfully tested on

Server environment -

Webbler CMS 3.1.3

PHP 5.1.6

Apache web server (unknown version)

Client environment -

Microsoft Internet Explorer 7.0.5730.11


Proof of concept:

http://target-domain.com/uploader/?page=<script>alert(document.cookie)</script>


How to fix:

This issue has been fixed on version version 3.1.6.


References:

http://tincan.co.uk/webbler

http://tincan.co.uk/?lid=1975

http://www.procheckup.com/Vulner_2007.php

Legal:

Copyright 2007 Procheckup Ltd. All rights reserved.
Permission is granted for copying and circulating this Bulletin to the Internet community
for the purpose of alerting them to problems, if and only if, the Bulletin is not edited
or changed in any way, is attributed to Procheckup, and provided such reproduction and/or
distribution is performed for non-commercial purposes.
Any other use of this information is prohibited. Procheckup is not liable for any misuse of this information by any third party.